Name:		maven-toolchains-plugin
Version:	1.0
Release:	3%{?dist}
Summary:	Maven plugin for sharing configuration across projects

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://maven.apache.org/plugins/maven-toolchains-plugin/
Source0:	http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
# Dep on plexus-container-default is needed, otherwise a wrong implementation of
# PlexusConfiguration class is taken from sisu-inject-plexus.jar
Patch0:		%{name}-plexus.patch

BuildArch:	noarch

BuildRequires:	java
BuildRequires:	maven
BuildRequires:	jpackage-utils
BuildRequires:	plexus-container-default
BuildRequires:	maven-surefire-provider-junit4

Requires:	java
Requires:	maven
Requires:	jpackage-utils

%description
The Toolchains Plugins allows to share configuration across plugins. For
example to make sure the plugins like compiler, surefire, javadoc, webstart
etc. all use the same JDK for execution. Similarly to maven-enforcer-plugin, it
allows to control environmental constraints in the build.

%package javadoc
Summary:	API documentation for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
The API documentation of %{name}.


%prep
%setup -q
%patch0 -p1

rm -rf bin

%build
mvn-rpmbuild install javadoc:aggregate 

%install
# JAR
install -Dpm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# JavaDoc
install -Ddm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}


%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}


%changelog
* Wed Jan 18 2012 Tomas Radej <tradej@redhat.com> - 1.0-3
- Fixed upstream URL

* Tue Nov 22 2011 Tomas Radej <tradej@redhat.com> - 1.0-2
- Changed source to upstream tarball
- Moved files from maven/ subdir to javadir

* Tue Nov 15 2011 Tomas Radej <tradej@redhat.com> - 1.0-1
- Initial packaging

